> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yapily.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Enrichment Results

> Retrieve categorised transactions by Categorisation ID.

Please [use webhooks](/introductionpages/data/data-plus/tutorial-categorisation/) to be notified when your transactions have been categorised and are ready for retrieval.

Note that when using the [Transactions and Categorisation endpoint](/api-reference/post-accounts-accountId-transactions-categorisation) this endpoint may also return any data specified by the [Get Account Transactions endpoint](/api-reference/getTransactions); this endpoint's docs mentions a non-exhaustive subset of such data.



## OpenAPI

````yaml /openapi-converted.json get /transactions/categorisation/{categorisationId}
openapi: 3.0.1
info:
  description: >-
    The Yapily API enables connections between your application and users'
    banks. For more information check out our [documentation](/introduction).


    In particular, make sure to view our [Getting
    Started](/getting-started/get-started) steps if this is your first time
    here.


    While testing the API, our list of [sandbox
    credentials](/resources/sandbox/sandbox-credentials) maybe useful.
  title: Yapily API
  version: 12.3.4
  contact:
    name: Yapily Support
    url: https://docs.yapily.com/resources/support
    email: support@yapily.com
servers:
  - url: https://api.yapily.com
security:
  - basicAuth: []
tags:
  - description: >-
      The `Application` is the base entity that is used to interact with the API
      and contains a collection of `Institution` objects. You can have multiple
      Applications associated with your account e.g. a production application
      with live access to each `Institution` and a development application with
      access to sandboxes.
    name: Application
  - description: >-
      The Users endpoints are used to manage each user (otherwise known as the
      PSU) in Yapily. Each user belongs to an Application and as a consequence,
      so do each `Consent` created for a particular `User`.
    name: Users
  - description: >-
      An `Institution` object represents any Account Serving Payment Servicing
      Provider (ASPSP) that has been integrated and is accessible through the
      Yapily APIs (ASPSPs are entities that publish Read/Write APIs to permit,
      with customer consent, payments initiated by third party providers and/or
      make their customers financial data available to third party providers via
      their API endpoints).


      Any one of the following would be represented as Institution:


      - Traditional banks e.g. Santander

      - Neo-banks e.g. Monzo

      - Building societies e.g. Cumberland Building Society
    name: Institutions
  - description: >-
      The Consents endpoints are used to manage each `Consent` created by Yapily
      in response to an authorisation created for a user.


      The `Consent` object contains data that identifies a user's consent for a
      specific `Institution` within a Yapily application. Other than the id of
      the consent, the `institution-id` for the corresponding `Institution` and
      the user identifiers (`user-uuid` and `application-user-id`), it contains
      various details that indicates how the `Consent` can be used.
    name: Consents
  - description: >-
      Before calling [Financial Data](#yapily-api-financial-data) or
      [Payments](#yapily-api-payments) endpoints, a consent from an end-user
      must be obtained.


      Consents are valid for up to 90 days for Financial Data endpoints and have
      a single-use for Payment endpoints i.e. a new consent must be obtained for
      each payment.


      NOTE: A user consent is also referred to as an 'Authorisation'.
    name: Authorisations
  - description: >-
      In order to access a user's Financial Data, you are required to request an
      [Authorisation](#tag/Authorisations) from the user to share the account
      information the bank has. Once a `consent-token` is obtained, you can call
      the necessary Financial Data endpoint(s) to retrieve the user's data.
    name: Financial Data
  - description: >-
      In order to make a Payment on behalf of a user, you are required to
      request an [Authorisation](#tag/Authorisations) from the user to authorise
      the user's account to make the payment from. Once a `consent-token` is
      obtained, you can call the necessary Payments endpoint(s) to execute a
      payment.
    name: Payments
  - description: >+
      The Notifications endpoints provide an interactive way for user to receive
      notifications according to different event-types. This feature is
      currently in private beta. Please reach out if you require access. 

    name: Notifications
  - description: >-
      Variable Recurring Payments enables transfer of money between accounts
      held by the same person or transfer of money for business payments. 


      In order to make Sweeping Variable Recurring Payments on behalf of a user,
      you are required to request an [Consent](#tag/Authorisations) from the
      user by calling the Sweeping Consent endpoint to authorise the user's
      account to make the payment. Once a `consent-token` is obtained, you can
      call the Payments endpoint to execute the Sweeping Variable Recurring
      Payments transaction. Before executing the payment, you have the option to
      confirm availability of funds in the user's account by calling the Funds
      Confirmation endpoint. 


      See [VRP Payments](/payments/vrps/additional-information) for more
      information.
    name: Variable Recurring Payments
  - description: Hosted Payment Pages endpoints for payments products
    name: Hosted Payment Pages
  - description: Hosted Consent Pages endpoints for data products
    name: Hosted Consent Pages
  - description: >-
      The constraints endpoints can be used to retrieve institution specific
      data requirements and rules that will apply when performing other
      operations.
    name: Constraints
  - description: >-
      Application Management endpoints help with creating and managing client
      sub-applications.
    name: Application Management
  - description: 'Data Plus endpoints enable our customers to enrich transaction data. '
    name: Data Plus
  - description: Webhook endpoints
    name: Webhooks
  - description: Application Beneficiaries Endpoints
    name: Application Beneficiaries
  - description: User Beneficiaries Endpoints
    name: User Beneficiaries
paths:
  /transactions/categorisation/{categorisationId}:
    parameters:
      - schema:
          type: string
        name: categorisationId
        in: path
        required: true
        description: Unique identifier for transaction categorisation request
      - $ref: '#/components/parameters/SubAppHeader'
      - description: >-
          __Optional__. The maximum number of transaction records to be
          returned. Must be between 100 and 1000. If not specified will default
          to 100.
        in: query
        name: limit
        required: false
        schema:
          type: integer
          format: int32
          minimum: 100
          maximum: 1000
      - description: >-
          __Optional__. The page number to be returned. If not specified will
          default to 1.
        in: query
        name: page
        required: false
        schema:
          type: integer
          format: int32
          minimum: 1
    get:
      tags:
        - Data Plus
      summary: Get Enrichment Results
      description: >-
        Retrieve categorised transactions by Categorisation ID.


        Please [use
        webhooks](/introductionpages/data/data-plus/tutorial-categorisation/) to
        be notified when your transactions have been categorised and are ready
        for retrieval.


        Note that when using the [Transactions and Categorisation
        endpoint](/api-reference/post-accounts-accountId-transactions-categorisation)
        this endpoint may also return any data specified by the [Get Account
        Transactions endpoint](/api-reference/getTransactions); this endpoint's
        docs mentions a non-exhaustive subset of such data.
      operationId: get-transactions-categorised
      responses:
        '200':
          description: OK
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: >-
                  #/components/schemas/ApiResponseOfGetCategorisedTransactionsRequest
              examples:
                Example 1:
                  $ref: '#/components/examples/get-categorised-transactions-response'
        '400':
          description: Validation Error
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseV2'
              examples:
                Example-1:
                  $ref: '#/components/examples/400-error-response'
        '401':
          description: Authentication Error
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseV2'
              examples:
                Example-1:
                  $ref: '#/components/examples/401-error-response'
        '404':
          description: Categorisation ID not found
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseV2'
              examples:
                Example-1:
                  $ref: '#/components/examples/404-error-response'
        '500':
          description: Unexpected Error
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseV2'
              examples:
                Example-1:
                  $ref: '#/components/examples/500-error-response'
components:
  parameters:
    SubAppHeader:
      description: The sub-application ID to which event type is being subscribed to
      in: header
      name: sub-application
      required: false
      schema:
        type: string
        format: uuid
  schemas:
    ApiResponseOfGetCategorisedTransactionsRequest:
      type: object
      properties:
        meta:
          type: object
          properties:
            tracingId:
              type: string
            count:
              type: integer
              description: Total number of categorised transactions available
            pageCount:
              type: integer
              description: >-
                Total number of pages available, calculated based on the limit
                per page sent in the request.
        data:
          type: object
          required:
            - transactions
          properties:
            transactions:
              type: array
              items:
                type: object
                required:
                  - enrichment
                  - date
                  - description
                  - transactionAmount
                properties:
                  enrichment:
                    type: object
                    description: Enrichment/Categorisation data
                    required:
                      - transactionHash
                      - categorisation
                    properties:
                      transactionHash:
                        type: object
                        description: >-
                          A unique identifier for the transaction that was
                          generated by Yapily. It is a hash of some transaction
                          attributes that is useful when no other identifier is
                          present for instance.
                        required:
                          - hash
                        properties:
                          hash:
                            type: string
                      categorisation:
                        type: object
                        description: >-
                          Categories associated with the transaction (see
                          [categories
                          list](/data/data-plus/categorisation-list))
                        required:
                          - categories
                        properties:
                          categories:
                            type: array
                            items:
                              type: string
                      merchant:
                        type: object
                        description: Processed merchant information
                        properties:
                          id:
                            type: string
                            description: The unique identifier for the merchant
                          name:
                            type: string
                            description: >-
                              The familiar name of the merchant (eg. 'Waitrose',
                              'Uber')
                          logo:
                            type: string
                            description: The logo of the merchant, formatted as a URL
                  recurrence:
                    type: string
                    description: >-
                      Processed type of recurrence for the transaction (eg. 'one
                      off', 'subscription')
                  paymentProcessor:
                    type: string
                    description: >-
                      Processed payment provider for the transaction (eg.
                      'PayPal')
                  location:
                    type: string
                    description: >-
                      Processed location of the transaction/merchant derived
                      from the transaction's description, formatted as an
                      address
                  merchant:
                    type: object
                    description: Generic merchant information
                    properties:
                      merchantCategoryCode:
                        type: string
                        description: >-
                          An ISO 18245 code specifying the goods and services
                          that the merchant provides (eg. `5411` for Grocery
                          Stores and Supermarkets)
                  id:
                    type: string
                    description: >-
                      __Conditional.__ An identifier for the transaction
                      retrieved from Yapily AIS (ie. present when using
                      [Transactions and Categorisation
                      endpoint](/api-reference/post-accounts-accountId-transactions-categorisation))
                  date:
                    type: string
                    format: date-time
                    description: The date and time when the transaction happened
                  description:
                    type: string
                    description: The description associated with the transaction
                  transactionAmount:
                    type: object
                    description: The amount associated with the transaction
                    required:
                      - amount
                      - currency
                    properties:
                      amount:
                        type: number
                        description: >-
                          The monetary amount (a positive value implies
                          _incoming_ transaction and a negative value implies
                          _outgoing_ transaction)
                      currency:
                        type: string
                        description: >-
                          The [ISO 4217](https://www.xe.com/iso4217.php)
                          currency code
                  bookingDateTime:
                    type: string
                    format: date-time
                    description: >-
                      __Conditional.__ The date and time when the transaction
                      was booked


                      This may be present when using [Transactions and
                      Categorisation
                      endpoint](/api-reference/post-accounts-accountId-transactions-categorisation)
                  valueDateTime:
                    type: string
                    format: date-time
                    description: >-
                      __Conditional.__ The date and time when the funds either
                      cease to be available (for _outgoing_ transactions) or
                      become available to the account owner (for _incoming_
                      transactions)


                      This may be present when using [Transactions and
                      Categorisation
                      endpoint](/api-reference/post-accounts-accountId-transactions-categorisation)
                  status:
                    type: string
                    description: >-
                      __Conditional.__ The status of the transaction. Enum:
                      `BOOKED`, `PENDING`


                      This may be present when using [Transactions and
                      Categorisation
                      endpoint](/api-reference/post-accounts-accountId-transactions-categorisation)
                  amount:
                    type: number
                    description: >-
                      __Conditional.__ The monetary amount (a positive value
                      implies _incoming_ transaction and a negative value
                      implies _outgoing_ transaction)


                      This may be present when using [Transactions and
                      Categorisation
                      endpoint](/api-reference/post-accounts-accountId-transactions-categorisation)
                  currency:
                    type: string
                    description: >-
                      __Conditional.__ The [ISO
                      4217](https://www.xe.com/iso4217.php) currency code


                      This may be present when using [Transactions and
                      Categorisation
                      endpoint](/api-reference/post-accounts-accountId-transactions-categorisation)
                  reference:
                    type: string
                    description: >-
                      __Conditional.__ The reference associated with the
                      transaction


                      This may be present when using [Transactions and
                      Categorisation
                      endpoint](/api-reference/post-accounts-accountId-transactions-categorisation)
                  transactionInformation:
                    type: array
                    description: >-
                      __Conditional.__ Other details associated with the
                      transaction. This is narrative data, caught as
                      unstructured text.


                      This may be present when using [Transactions and
                      Categorisation
                      endpoint](/api-reference/post-accounts-accountId-transactions-categorisation)
                    items:
                      type: string
                  proprietaryBankTransactionCode:
                    type: object
                    description: >-
                      __Conditional.__ A transaction code that is proprietary to
                      the issuer institution


                      This may be present when using [Transactions and
                      Categorisation
                      endpoint](/api-reference/post-accounts-accountId-transactions-categorisation)
                    properties:
                      code:
                        type: string
                      issuer:
                        type: string
                  isoBankTransactionCode:
                    type: object
                    description: >-
                      __Conditional.__ The ISO 20022 codes specifying the type
                      of the transaction (eg. domain of 'Payments', family of
                      'Issued Credit Transfers', and sub-family of 'Domestic
                      Credit Transfer')


                      This may be present when using [Transactions and
                      Categorisation
                      endpoint](/api-reference/post-accounts-accountId-transactions-categorisation)
                    properties:
                      domainCode:
                        type: object
                        description: The domain of the transaction
                        properties:
                          code:
                            type: string
                            description: Unique identifier of the ISO code
                          name:
                            type: string
                            description: Name of the ISO code
                      familyCode:
                        type: object
                        description: The family of the transaction
                        properties:
                          code:
                            type: string
                            description: Unique identifier of the ISO code
                          name:
                            type: string
                            description: Name of the ISO code
                      subFamilyCode:
                        type: object
                        description: The sub-family of the transaction
                        properties:
                          code:
                            type: string
                            description: Unique identifier of the ISO code
                          name:
                            type: string
                            description: Name of the ISO code
                  balance:
                    type: object
                    description: >-
                      __Conditional.__ The account balance around the time of
                      the transaction (the exact timing is dictated by the
                      balance type)


                      This may be present when using [Transactions and
                      Categorisation
                      endpoint](/api-reference/post-accounts-accountId-transactions-categorisation)
                    properties:
                      type:
                        type: string
                        description: >-
                          Enum: `CLOSING_AVAILABLE`, `CLOSING_BOOKED`,
                          `CLOSING_CLEARED`, `EXPECTED`, `FORWARD_AVAILABLE`,
                          `INFORMATION`, `INTERIM_AVAILABLE`, `INTERIM_BOOKED`,
                          `INTERIM_CLEARED`, `OPENING_AVAILABLE`,
                          `OPENING_BOOKED`, `OPENING_CLEARED`,
                          `PREVIOUSLY_CLOSED_BOOKED`, `AUTHORISED`, `OTHER`,
                          `UNKNOWN`
                      balanceAmount:
                        type: object
                        properties:
                          amount:
                            type: integer
                          currency:
                            type: string
        links:
          type: object
          properties:
            first:
              type: string
            prev:
              type: string
            self:
              type: string
            next:
              type: string
            last:
              type: string
    ApiErrorResponseV2:
      type: object
      description: API Error Response
      properties:
        error:
          required:
            - tracingId
            - code
            - status
            - issues
          type: object
          properties:
            tracingId:
              type: string
              description: >-
                Unique identifier of the request, used by Yapily for support
                purposes
            code:
              type: integer
              format: int32
              description: Numeric HTTP status code associated with the error
            status:
              type: string
              description: Textual description of the HTTP status
            supportUrl:
              type: string
              description: >-
                Link to where further information regarding the error can be
                found
            source:
              type: string
              description: >-
                Source of the error. This may be YAPILY, the INSTITUTION, or the
                USER
            issues:
              type: array
              description: List of issues relating to the error
              items:
                required:
                  - message
                  - code
                type: object
                description: >-
                  Detailed information regarding the issue that was experienced
                  during processing of the request
                properties:
                  type:
                    type: string
                    description: Category of the issue
                  code:
                    type: string
                    description: >-
                      5 digit Error Code that uniquely identifies the type of
                      issue, for full list of error codes pelase check our
                      documentation
                  message:
                    type: string
                    description: >-
                      Human readable description of the issue that was
                      experienced
  examples:
    get-categorised-transactions-response:
      value:
        meta:
          tracingId: string
          count: 1
          pageCount: 1
        data:
          transactions:
            - enrichment:
                transactionHash:
                  hash: 6f465bde795b33e497d36333c9a32877.1
                categorisation:
                  categories:
                    - refund
                merchant:
                  id: dd0f0493-da4c-1334-50cb-b22ad7327b39
                  name: Uber
                  logo: https://example.org/logo.png
              recurrence: one-off
              paymentProcessor: PayPal
              location: 1725 Third Street, San Francisco 94158, United States
              merchant:
                merchantCategoryCode: '4121'
                name: Uber
              id: 236d3792-7014-8f74-53a3-2d600d07840e
              date: '2026-01-20T09:13:02.752Z'
              bookingDateTime: '2026-01-20T09:13:02.752Z'
              description: ...
              transactionAmount:
                amount: 23.87
                currency: GBP
              amount: 23.87
              currency: GBP
              status: BOOKED
              reference: ...
              proprietaryBankTransactionCode:
                code: REFUND
                issuer: bank_id
              isoBankTransactionCode:
                domainCode:
                  code: PMNT
                  name: Payments
                familyCode:
                  code: RCDT
                  name: Received Credit Transfers
                subFamilyCode:
                  code: DMCT
                  name: Domestic Credit Transfer
        links:
          first: >-
            https://api.yapily.com/accounts/700004000000000000000002/transactions?cursor=aaa
          prev: >-
            https://api.yapily.com/accounts/700004000000000000000002/transactions?cursor=bbb
          self: >-
            https://api.yapily.com/accounts/700004000000000000000002/transactions?cursor=ccc
          next: >-
            https://api.yapily.com/accounts/700004000000000000000002/transactions?cursor=ddd
          last: >-
            https://api.yapily.com/accounts/700004000000000000000002/transactions?cursor=zzz
    400-error-response:
      description: 400 Error
      value:
        error:
          tracingId: 0c2d0973bdd24224a65e5d0f7d1b6154
          code: 400
          status: BAD_REQUEST
          supportUrl: https://support.yapily.com/
          source: YAPILY
          issues:
            - type: BAD_REQUEST
              code: 10600
              message: >-
                The server could not understand the request due to invalid
                syntax
    401-error-response:
      description: 401 Error
      value:
        error:
          tracingId: 0c2d0973bdd24224a65e5d0f7d1b6154
          code: 401
          status: UNAUTHORIZED
          supportUrl: https://support.yapily.com/
          source: YAPILY
          issues:
            - type: CREDENTIALS
              code: 10700
              message: Authorization header invalid or credentials not authenticated
    404-error-response:
      description: 404 Error
      value:
        error:
          tracingId: 0c2d0973bdd24224a65e5d0f7d1b6154
          code: 404
          status: NOT FOUND
          supportUrl: https://support.yapily.com/
          source: YAPILY
          issues:
            - type: INVALID_REQUEST
              code: 10800
              message: Resource not found
    500-error-response:
      description: 500 Error
      value:
        error:
          tracingId: 0c2d0973bdd24224a65e5d0f7d1b6154
          code: 500
          status: INTERNAL SERVER ERROR
          supportUrl: https://support.yapily.com/
          source: YAPILY
          issues:
            - type: INTERNAL_SERVER_ERROR
              code: 11000
              message: Unexpected server error
  securitySchemes:
    basicAuth:
      description: >-
        Use HTTP Basic Authentication with your Application ID as username and
        Application Secret as password. Manage credentials in the [Yapily
        Console](https://console.yapily.com/). See
        [Authentication](/api-reference/authentication) for details.
      scheme: basic
      type: http

````